As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 698385 - Document.createTreeWalker's 2nd and 3rd parameter should be optional
: Document.createTreeWalker's 2nd and 3rd parameter should be optional
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: x86_64 All
: -- normal (vote)
: ---
Assigned To: Matthew Schranz [:mjschranz]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 698303
  Show dependency treegraph
 
Reported: 2011-10-31 04:55 PDT by Olli Pettay [:smaug] (review queue closed until backlog cleared)
Modified: 2012-01-25 18:14 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2011-10-31 04:55:43 PDT
http://dvcs.w3.org/hg/domcore/raw-file/tip/Overview.html#dom-document-createtreewalker
Comment 1 User image Matthew Schranz [:mjschranz] 2011-12-31 14:02:24 PST
Wanting to do more work than my really basic previous patch and this along with 698384 look interesting so I'll take them for now. Hopefully get something up early next week for them.
Comment 2 User image Matthew Schranz [:mjschranz] 2012-01-25 18:14:05 PST
Was fixed in bug 698384 as the changes for that required this to be fixed at the same time due to changes needed in nsTraversal.

https://hg.mozilla.org/mozilla-central/rev/3807634fedb7

Note You need to log in before you can comment on or make changes to this bug.